"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CompleteLayerUpload_1 = require("../model/operations/CompleteLayerUpload");
var CompleteLayerUploadCommand = /** @class */ (function () {
    function CompleteLayerUploadCommand(input) {
        this.input = input;
        this.model = CompleteLayerUpload_1.CompleteLayerUpload;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CompleteLayerUploadCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CompleteLayerUploadCommand;
}());
exports.CompleteLayerUploadCommand = CompleteLayerUploadCommand;
//# sourceMappingURL=CompleteLayerUploadCommand.js.map