"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRepositories_1 = require("../model/operations/DescribeRepositories");
var DescribeRepositoriesCommand = /** @class */ (function () {
    function DescribeRepositoriesCommand(input) {
        this.input = input;
        this.model = DescribeRepositories_1.DescribeRepositories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRepositoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRepositoriesCommand;
}());
exports.DescribeRepositoriesCommand = DescribeRepositoriesCommand;
//# sourceMappingURL=DescribeRepositoriesCommand.js.map