"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var InitiateLayerUpload_1 = require("../model/operations/InitiateLayerUpload");
var InitiateLayerUploadCommand = /** @class */ (function () {
    function InitiateLayerUploadCommand(input) {
        this.input = input;
        this.model = InitiateLayerUpload_1.InitiateLayerUpload;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    InitiateLayerUploadCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return InitiateLayerUploadCommand;
}());
exports.InitiateLayerUploadCommand = InitiateLayerUploadCommand;
//# sourceMappingURL=InitiateLayerUploadCommand.js.map