"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutImageTagMutability_1 = require("../model/operations/PutImageTagMutability");
var PutImageTagMutabilityCommand = /** @class */ (function () {
    function PutImageTagMutabilityCommand(input) {
        this.input = input;
        this.model = PutImageTagMutability_1.PutImageTagMutability;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutImageTagMutabilityCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutImageTagMutabilityCommand;
}());
exports.PutImageTagMutabilityCommand = PutImageTagMutabilityCommand;
//# sourceMappingURL=PutImageTagMutabilityCommand.js.map