"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchCheckLayerAvailabilityInput_1 = require("../shapes/BatchCheckLayerAvailabilityInput");
var BatchCheckLayerAvailabilityOutput_1 = require("../shapes/BatchCheckLayerAvailabilityOutput");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchCheckLayerAvailability = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchCheckLayerAvailability",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchCheckLayerAvailabilityInput_1.BatchCheckLayerAvailabilityInput
    },
    output: {
        shape: BatchCheckLayerAvailabilityOutput_1.BatchCheckLayerAvailabilityOutput
    },
    errors: [
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=BatchCheckLayerAvailability.js.map