"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteLifecyclePolicyInput_1 = require("../shapes/DeleteLifecyclePolicyInput");
var DeleteLifecyclePolicyOutput_1 = require("../shapes/DeleteLifecyclePolicyOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var LifecyclePolicyNotFoundException_1 = require("../shapes/LifecyclePolicyNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteLifecyclePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteLifecyclePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteLifecyclePolicyInput_1.DeleteLifecyclePolicyInput
    },
    output: {
        shape: DeleteLifecyclePolicyOutput_1.DeleteLifecyclePolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: LifecyclePolicyNotFoundException_1.LifecyclePolicyNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteLifecyclePolicy.js.map