"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRepositoryPolicyInput_1 = require("../shapes/DeleteRepositoryPolicyInput");
var DeleteRepositoryPolicyOutput_1 = require("../shapes/DeleteRepositoryPolicyOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var RepositoryPolicyNotFoundException_1 = require("../shapes/RepositoryPolicyNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRepositoryPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRepositoryPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRepositoryPolicyInput_1.DeleteRepositoryPolicyInput
    },
    output: {
        shape: DeleteRepositoryPolicyOutput_1.DeleteRepositoryPolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: RepositoryPolicyNotFoundException_1.RepositoryPolicyNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteRepositoryPolicy.js.map