"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAuthorizationTokenInput_1 = require("../shapes/GetAuthorizationTokenInput");
var GetAuthorizationTokenOutput_1 = require("../shapes/GetAuthorizationTokenOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAuthorizationToken = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAuthorizationToken",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetAuthorizationTokenInput_1.GetAuthorizationTokenInput
    },
    output: {
        shape: GetAuthorizationTokenOutput_1.GetAuthorizationTokenOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        }
    ]
};
//# sourceMappingURL=GetAuthorizationToken.js.map