"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetLifecyclePolicyPreviewInput_1 = require("../shapes/GetLifecyclePolicyPreviewInput");
var GetLifecyclePolicyPreviewOutput_1 = require("../shapes/GetLifecyclePolicyPreviewOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var LifecyclePolicyPreviewNotFoundException_1 = require("../shapes/LifecyclePolicyPreviewNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLifecyclePolicyPreview = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLifecyclePolicyPreview",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetLifecyclePolicyPreviewInput_1.GetLifecyclePolicyPreviewInput
    },
    output: {
        shape: GetLifecyclePolicyPreviewOutput_1.GetLifecyclePolicyPreviewOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: LifecyclePolicyPreviewNotFoundException_1.LifecyclePolicyPreviewNotFoundException
        }
    ]
};
//# sourceMappingURL=GetLifecyclePolicyPreview.js.map