"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ImageIdentifierList_1 = require("./_ImageIdentifierList");
exports.BatchDeleteImageInput = {
    type: "structure",
    required: ["repositoryName", "imageIds"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageIds: {
            shape: _ImageIdentifierList_1._ImageIdentifierList
        }
    }
};
//# sourceMappingURL=BatchDeleteImageInput.js.map