"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ImageIdentifierList_1 = require("./_ImageIdentifierList");
var _MediaTypeList_1 = require("./_MediaTypeList");
exports.BatchGetImageInput = {
    type: "structure",
    required: ["repositoryName", "imageIds"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageIds: {
            shape: _ImageIdentifierList_1._ImageIdentifierList
        },
        acceptedMediaTypes: {
            shape: _MediaTypeList_1._MediaTypeList
        }
    }
};
//# sourceMappingURL=BatchGetImageInput.js.map