"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDownloadUrlForLayer_1 = require("../model/operations/GetDownloadUrlForLayer");
var GetDownloadUrlForLayerCommand = /** @class */ (function () {
    function GetDownloadUrlForLayerCommand(input) {
        this.input = input;
        this.model = GetDownloadUrlForLayer_1.GetDownloadUrlForLayer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDownloadUrlForLayerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDownloadUrlForLayerCommand;
}());
exports.GetDownloadUrlForLayerCommand = GetDownloadUrlForLayerCommand;
//# sourceMappingURL=GetDownloadUrlForLayerCommand.js.map