"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeImagesInput_1 = require("../shapes/DescribeImagesInput");
var DescribeImagesOutput_1 = require("../shapes/DescribeImagesOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var ImageNotFoundException_1 = require("../shapes/ImageNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeImages = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeImages",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeImagesInput_1.DescribeImagesInput
    },
    output: {
        shape: DescribeImagesOutput_1.DescribeImagesOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: ImageNotFoundException_1.ImageNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeImages.js.map