"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDownloadUrlForLayerInput_1 = require("../shapes/GetDownloadUrlForLayerInput");
var GetDownloadUrlForLayerOutput_1 = require("../shapes/GetDownloadUrlForLayerOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var LayersNotFoundException_1 = require("../shapes/LayersNotFoundException");
var LayerInaccessibleException_1 = require("../shapes/LayerInaccessibleException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDownloadUrlForLayer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDownloadUrlForLayer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDownloadUrlForLayerInput_1.GetDownloadUrlForLayerInput
    },
    output: {
        shape: GetDownloadUrlForLayerOutput_1.GetDownloadUrlForLayerOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: LayersNotFoundException_1.LayersNotFoundException
        },
        {
            shape: LayerInaccessibleException_1.LayerInaccessibleException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=GetDownloadUrlForLayer.js.map