"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetRepositoryPolicyInput_1 = require("../shapes/SetRepositoryPolicyInput");
var SetRepositoryPolicyOutput_1 = require("../shapes/SetRepositoryPolicyOutput");
var ServerException_1 = require("../shapes/ServerException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetRepositoryPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetRepositoryPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetRepositoryPolicyInput_1.SetRepositoryPolicyInput
    },
    output: {
        shape: SetRepositoryPolicyOutput_1.SetRepositoryPolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=SetRepositoryPolicy.js.map